### Hierarchy

- BaseAPI
  - TransactionsApi

### Implements

- TransactionsApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getAddressMempoolTransactions
- getAddressMempoolTransactionsRaw
- getDroppedMempoolTransactionList
- getDroppedMempoolTransactionListRaw
- getMempoolTransactionList
- getMempoolTransactionListRaw
- getRawTransactionById
- getRawTransactionByIdRaw
- getTransactionById
- getTransactionByIdRaw
- getTransactionList
- getTransactionListRaw
- getTransactionsByBlockHash
- getTransactionsByBlockHashRaw
- getTransactionsByBlockHeight
- getTransactionsByBlockHeightRaw
- postCoreNodeTransactions
- postCoreNodeTransactionsRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new TransactionsApi(configuration?: Configuration ): TransactionsApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns TransactionsApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getAddressMempoolTransactions

- getAddressMempoolTransactions(requestParameters: GetAddressMempoolTransactionsRequest, initOverrides?: RequestInit): Promise< MempoolTransactionListResponse >

- Implementation of TransactionsApiInterface.getAddressMempoolTransactions

  - Defined in src/generated/apis/TransactionsApi.ts:305

  Get all transactions for address in mempool Transactions for address

  #### Parameters

  - ##### requestParameters: GetAddressMempoolTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MempoolTransactionListResponse >

### getAddressMempoolTransactionsRaw

- getAddressMempoolTransactionsRaw(requestParameters: GetAddressMempoolTransactionsRequest, initOverrides?: RequestInit): Promise< ApiResponse < MempoolTransactionListResponse >>

- Implementation of TransactionsApiInterface.getAddressMempoolTransactionsRaw

  - Defined in src/generated/apis/TransactionsApi.ts:270

  Get all transactions for address in mempool Transactions for address

  #### Parameters

  - ##### requestParameters: GetAddressMempoolTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MempoolTransactionListResponse >>

### getDroppedMempoolTransactionList

- getDroppedMempoolTransactionList(requestParameters: GetDroppedMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< MempoolTransactionListResponse >

- Implementation of TransactionsApiInterface.getDroppedMempoolTransactionList

  - Defined in src/generated/apis/TransactionsApi.ts:341

  Get all recently-broadcast mempool transactions Get dropped mempool transactions

  #### Parameters

  - ##### requestParameters: GetDroppedMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MempoolTransactionListResponse >

### getDroppedMempoolTransactionListRaw

- getDroppedMempoolTransactionListRaw(requestParameters: GetDroppedMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< ApiResponse < MempoolTransactionListResponse >>

- Implementation of TransactionsApiInterface.getDroppedMempoolTransactionListRaw

  - Defined in src/generated/apis/TransactionsApi.ts:314

  Get all recently-broadcast mempool transactions Get dropped mempool transactions

  #### Parameters

  - ##### requestParameters: GetDroppedMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MempoolTransactionListResponse >>

### getMempoolTransactionList

- getMempoolTransactionList(requestParameters: GetMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< MempoolTransactionListResponse >

- Implementation of TransactionsApiInterface.getMempoolTransactionList

  - Defined in src/generated/apis/TransactionsApi.ts:393

  Get all recently-broadcast mempool transactions Get mempool transactions

  #### Parameters

  - ##### requestParameters: GetMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< MempoolTransactionListResponse >

### getMempoolTransactionListRaw

- getMempoolTransactionListRaw(requestParameters: GetMempoolTransactionListRequest, initOverrides?: RequestInit): Promise< ApiResponse < MempoolTransactionListResponse >>

- Implementation of TransactionsApiInterface.getMempoolTransactionListRaw

  - Defined in src/generated/apis/TransactionsApi.ts:350

  Get all recently-broadcast mempool transactions Get mempool transactions

  #### Parameters

  - ##### requestParameters: GetMempoolTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < MempoolTransactionListResponse >>

### getRawTransactionById

- getRawTransactionById(requestParameters: GetRawTransactionByIdRequest, initOverrides?: RequestInit): Promise< GetRawTransactionResult >

- Implementation of TransactionsApiInterface.getRawTransactionById

  - Defined in src/generated/apis/TransactionsApi.ts:425

  Get raw transaction by ID Get Raw Transaction

  #### Parameters

  - ##### requestParameters: GetRawTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< GetRawTransactionResult >

### getRawTransactionByIdRaw

- getRawTransactionByIdRaw(requestParameters: GetRawTransactionByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse < GetRawTransactionResult >>

- Implementation of TransactionsApiInterface.getRawTransactionByIdRaw

  - Defined in src/generated/apis/TransactionsApi.ts:402

  Get raw transaction by ID Get Raw Transaction

  #### Parameters

  - ##### requestParameters: GetRawTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < GetRawTransactionResult >>

### getTransactionById

- getTransactionById(requestParameters: GetTransactionByIdRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of TransactionsApiInterface.getTransactionById

  - Defined in src/generated/apis/TransactionsApi.ts:469

  Get a specific transaction by ID `import type { Transaction } from \'@stacks/stacks-blockchain-api-types\';` Get transaction

  #### Parameters

  - ##### requestParameters: GetTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getTransactionByIdRaw

- getTransactionByIdRaw(requestParameters: GetTransactionByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of TransactionsApiInterface.getTransactionByIdRaw

  - Defined in src/generated/apis/TransactionsApi.ts:434

  Get a specific transaction by ID `import type { Transaction } from \'@stacks/stacks-blockchain-api-types\';` Get transaction

  #### Parameters

  - ##### requestParameters: GetTransactionByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getTransactionList

- getTransactionList(requestParameters: GetTransactionListRequest, initOverrides?: RequestInit): Promise< TransactionResults >

- Implementation of TransactionsApiInterface.getTransactionList

  - Defined in src/generated/apis/TransactionsApi.ts:513

  Get all recently mined transactions If using TypeScript, import typings for this response from our types package: `import type { TransactionResults } from \'@stacks/stacks-blockchain-api-types\';` Get recent transactions

  #### Parameters

  - ##### requestParameters: GetTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< TransactionResults >

### getTransactionListRaw

- getTransactionListRaw(requestParameters: GetTransactionListRequest, initOverrides?: RequestInit): Promise< ApiResponse < TransactionResults >>

- Implementation of TransactionsApiInterface.getTransactionListRaw

  - Defined in src/generated/apis/TransactionsApi.ts:478

  Get all recently mined transactions If using TypeScript, import typings for this response from our types package: `import type { TransactionResults } from \'@stacks/stacks-blockchain-api-types\';` Get recent transactions

  #### Parameters

  - ##### requestParameters: GetTransactionListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < TransactionResults >>

### getTransactionsByBlockHash

- getTransactionsByBlockHash(requestParameters: GetTransactionsByBlockHashRequest, initOverrides?: RequestInit): Promise< TransactionResults >

- Implementation of TransactionsApiInterface.getTransactionsByBlockHash

  - Defined in src/generated/apis/TransactionsApi.ts:553

  Get all transactions in block Transactions in a block

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< TransactionResults >

### getTransactionsByBlockHashRaw

- getTransactionsByBlockHashRaw(requestParameters: GetTransactionsByBlockHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < TransactionResults >>

- Implementation of TransactionsApiInterface.getTransactionsByBlockHashRaw

  - Defined in src/generated/apis/TransactionsApi.ts:522

  Get all transactions in block Transactions in a block

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < TransactionResults >>

### getTransactionsByBlockHeight

- getTransactionsByBlockHeight(requestParameters: GetTransactionsByBlockHeightRequest, initOverrides?: RequestInit): Promise< TransactionResults >

- Implementation of TransactionsApiInterface.getTransactionsByBlockHeight

  - Defined in src/generated/apis/TransactionsApi.ts:597

  Get all transactions in block by height Transactions in a block

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< TransactionResults >

### getTransactionsByBlockHeightRaw

- getTransactionsByBlockHeightRaw(requestParameters: GetTransactionsByBlockHeightRequest, initOverrides?: RequestInit): Promise< ApiResponse < TransactionResults >>

- Implementation of TransactionsApiInterface.getTransactionsByBlockHeightRaw

  - Defined in src/generated/apis/TransactionsApi.ts:562

  Get all transactions in block by height Transactions in a block

  #### Parameters

  - ##### requestParameters: GetTransactionsByBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < TransactionResults >>

### postCoreNodeTransactions

- postCoreNodeTransactions(requestParameters: PostCoreNodeTransactionsRequest, initOverrides?: RequestInit): Promise<string>

- Implementation of TransactionsApiInterface.postCoreNodeTransactions

  - Defined in src/generated/apis/TransactionsApi.ts:628

  Broadcast raw transactions on the network. You can use the @stacks/transactions project to generate a raw transaction payload. Broadcast raw transaction

  #### Parameters

  - ##### requestParameters: PostCoreNodeTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string>

### postCoreNodeTransactionsRaw

- postCoreNodeTransactionsRaw(requestParameters: PostCoreNodeTransactionsRequest, initOverrides?: RequestInit): Promise< ApiResponse <string>>

- Implementation of TransactionsApiInterface.postCoreNodeTransactionsRaw

  - Defined in src/generated/apis/TransactionsApi.ts:606

  Broadcast raw transactions on the network. You can use the @stacks/transactions project to generate a raw transaction payload. Broadcast raw transaction

  #### Parameters

  - ##### requestParameters: PostCoreNodeTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string>>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc